@use "./colors";

@mixin elevated {
  box-shadow: var(--box-shadow);
}

@mixin elevated-box {
  box-shadow: var(--box-shadow);
  border-radius: var(--border-radius);
}

@mixin inset {
  box-shadow: var(--box-shadow) inset;
  border-radius: var(--border-radius);
}

@mixin depressed {
  @include inset;
  background: var(--box-dark-background-color);
}

:global {
  .box {
    @include elevated-box;
    background: var(--box-background-color);
    padding: 1rem;
    .box {
      @include elevated-box;
      background: var(--box-inner-background-color);
      padding: 1rem;
    }
  }
}
